API reference
Credentials
Stored sign-in credentials for the vault (secrets are never returned).
GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
namespace?stringLength
length <= 64OK
application/json- response
credentials*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/credentials'Example Response
{ "credentials": [ { "id": "string", "origin": "string", "namespace": "string", "label": "string", "username": "string", "hasTotp": true, "source": { "providerId": "string", "reference": "string", "provider": "1password" }, "lastResolvedAt": 0, "resolveError": "string", "createdAt": 0, "updatedAt": 0 } ]}POST
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
Idempotency-Key?stringRetry safely: the same key and body replay the first answer.
Length
1 <= length <= 255application/json- body
origin*stringLength
length <= 300username?stringLength
length <= 500password?stringLength
1 <= length <= 5000source?namespace?stringLength
1 <= length <= 64label?stringLength
length <= 200totpSecret?stringLength
length <= 200OK
application/json- response
id*stringorigin*stringnamespace*stringlabel*stringusername*stringhasTotp*booleansource?lastResolvedAt?numberresolveError?stringcreatedAt*numberupdatedAt*numbercurl -X POST 'https://api.us.webagent.lookover.ai/v1/credentials' \ -H 'Content-Type: application/json' \ -d '{ "origin": "string"}'Example Response
{ "id": "string", "origin": "string", "namespace": "string", "label": "string", "username": "string", "hasTotp": true, "source": { "providerId": "string", "reference": "string", "provider": "1password" }, "lastResolvedAt": 0, "resolveError": "string", "createdAt": 0, "updatedAt": 0}PATCH
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^cred_(us|in)_[0-9a-z]{24}$application/json- body
username?stringLength
1 <= length <= 500password?stringLength
1 <= length <= 5000source?label?stringLength
length <= 200totpSecret?|nullOK
application/json- response
id*stringorigin*stringnamespace*stringlabel*stringusername*stringhasTotp*booleansource?lastResolvedAt?numberresolveError?stringcreatedAt*numberupdatedAt*numbercurl -X PATCH 'https://api.us.webagent.lookover.ai/v1/credentials/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "origin": "string", "namespace": "string", "label": "string", "username": "string", "hasTotp": true, "source": { "providerId": "string", "reference": "string", "provider": "1password" }, "lastResolvedAt": 0, "resolveError": "string", "createdAt": 0, "updatedAt": 0}DELETE
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^cred_(us|in)_[0-9a-z]{24}$OK
application/json- response
deleted*booleancurl -X DELETE 'https://api.us.webagent.lookover.ai/v1/credentials/string'Example Response
{ "deleted": true}GET
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
OK
application/json- response
providers*array<>curl -X GET 'https://api.us.webagent.lookover.ai/v1/secret-providers'Example Response
{ "providers": [ { "id": "string", "provider": "1password", "label": "string", "scope": "string", "settings": { "property1": "string", "property2": "string" }, "status": "ok", "lastCheckedAt": 0, "error": "string", "createdAt": 0, "updatedAt": 0 } ]}POST
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
Idempotency-Key?stringRetry safely: the same key and body replay the first answer.
Length
1 <= length <= 255application/json- body
provider*stringValue in
"1password""bitwarden"token*stringLength
1 <= length <= 5000label?stringLength
length <= 200scope?stringLength
length <= 500settings?OK
application/json- response
id*stringprovider*stringValue in
"1password""bitwarden"label*stringscope*stringsettings*status*stringValue in
"ok""error""untested"lastCheckedAt?numbererror?stringcreatedAt*numberupdatedAt*numbercurl -X POST 'https://api.us.webagent.lookover.ai/v1/secret-providers' \ -H 'Content-Type: application/json' \ -d '{ "provider": "1password", "token": "string"}'Example Response
{ "id": "string", "provider": "1password", "label": "string", "scope": "string", "settings": { "property1": "string", "property2": "string" }, "status": "ok", "lastCheckedAt": 0, "error": "string", "createdAt": 0, "updatedAt": 0}DELETE
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^sp_(us|in)_[0-9a-z]{24}$OK
application/json- response
deleted*booleancurl -X DELETE 'https://api.us.webagent.lookover.ai/v1/secret-providers/string'Example Response
{ "deleted": true}POST
header
AuthorizationBearer <token>An API key (wa_<region>_…) or a dashboard access token.
id*stringMatch
^sp_(us|in)_[0-9a-z]{24}$OK
application/json- response
id*stringprovider*stringValue in
"1password""bitwarden"label*stringscope*stringsettings*status*stringValue in
"ok""error""untested"lastCheckedAt?numbererror?stringcreatedAt*numberupdatedAt*numbercurl -X POST 'https://api.us.webagent.lookover.ai/v1/secret-providers/string/test'Example Response
{ "id": "string", "provider": "1password", "label": "string", "scope": "string", "settings": { "property1": "string", "property2": "string" }, "status": "ok", "lastCheckedAt": 0, "error": "string", "createdAt": 0, "updatedAt": 0}